aboutsummaryrefslogtreecommitdiffstats
path: root/main/rxvt-unicode/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2015-08-14 16:18:14 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2015-08-14 17:03:05 +0200
commit5966ce7ad46b1b96b20cab772b5777ee9e7f92a1 (patch)
treec24034526fdd8ef205bd2028b98834364ca7d8db /main/rxvt-unicode/APKBUILD
parent7b47823fbb60ade3c59d30188c747fb2001d089c (diff)
downloadaports-5966ce7ad46b1b96b20cab772b5777ee9e7f92a1.tar.gz
aports-5966ce7ad46b1b96b20cab772b5777ee9e7f92a1.tar.bz2
aports-5966ce7ad46b1b96b20cab772b5777ee9e7f92a1.tar.xz
main/rxvt-unicode: add doc subpackage
Diffstat (limited to 'main/rxvt-unicode/APKBUILD')
-rw-r--r--main/rxvt-unicode/APKBUILD21
1 files changed, 11 insertions, 10 deletions
diff --git a/main/rxvt-unicode/APKBUILD b/main/rxvt-unicode/APKBUILD
index 90ee9dbdd8..e5ddd6152a 100644
--- a/main/rxvt-unicode/APKBUILD
+++ b/main/rxvt-unicode/APKBUILD
@@ -2,25 +2,25 @@
# Maintainer: William Pitcock <nenolod@dereferenced.org>
pkgname=rxvt-unicode
pkgver=9.21
-pkgrel=1
-pkgdesc='rxvt fork with improved unicode support'
+pkgrel=2
+pkgdesc="rxvt fork with improved unicode support"
arch=all
-url='http://software.schmorp.de/pkg/rxvt-unicode.html'
-license='GPL'
+url="http://software.schmorp.de/pkg/rxvt-unicode.html"
+license="GPL"
depends=
makedepends="libx11-dev libxft-dev ncurses fontconfig-dev gdk-pixbuf-dev libxrender-dev perl-dev"
+subpackages="$pkgname-doc"
source="http://dist.schmorp.de/rxvt-unicode/$pkgname-$pkgver.tar.bz2
gentables.patch
rxvt-unicode-kerning.patch"
_builddir="${srcdir}/${pkgname}-${pkgver}"
-
prepare() {
cd "$_builddir"
- local i
+ local i=
for i in $source; do
case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1 ;;
esac
done
}
@@ -49,14 +49,15 @@ build() {
--disable-wtmp \
--disable-lastlog \
|| return 1
- make
+ make || return 1
}
package() {
- cd "$_builddir"
export TERMINFO="$pkgdir/usr/share/terminfo"
install -d "$TERMINFO"
- make DESTDIR="$pkgdir" install
+
+ make DESTDIR="$pkgdir" \
+ -C "$_builddir" install || return 1
}
md5sums="a9a06c608258c5fd247c3725d8f44582 rxvt-unicode-9.21.tar.bz2